Create a new instance
POST /events/{seriesId}/instances
POST
/events/{seriesId}/instances
Creates a sparse instance in subcollection with only overrides stored
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” seriesId
required
string
The series parent event ID
Request Body required
Section titled “Request Body required ”object
start
required
Instance start date (ISO 8601)
string format: date-time
end
required
Instance end date (ISO 8601)
string format: date-time
Example
{ "start": "2025-03-15T19:00:00Z", "end": "2025-03-15T22:00:00Z", "name": "Friday Night Special", "price": 9500}Responses
Section titled “ Responses ”Instance created successfully
object
status
string
Example
ok data
object
id
Created instance ID
string
Bad request - validation failed
object
status
string
Example
error message
string
Example
An error occurred error
string
Forbidden - insufficient permissions
object
status
string
Example
error message
string
Example
An error occurred error
string
Parent series not found
object
status
string
Example
error message
string
Example
An error occurred error
string